/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ProductLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface ProductLocal extends EJBLocalObject
{
    public String getName()
        throws EJBException;

    public Collection getManufacturers()
        throws EJBException;

    public Collection getInventories()
        throws EJBException;

    public Collection getCatalogItems()
        throws EJBException;

    public Collection getPurchaseOrderItems()
        throws EJBException;

    public Collection getWarehouses()
        throws EJBException;
}
